(game-module "ww2-eur-42"
  (title "WWII Europe Jan 42")
  (blurb "The situation in Europe, January 1942")
  (base-module "ww2-adv")
  (variants (see-all true) (sequential false))
  )

;; No random syntheses needed.

(set synthesis-methods nil)

;(set terrain-already-seen true)

(include "eur-100km")

(include "ww2-sides")

(area (people-sides (by-name (uk 1) (us 2) (de 3) (it 4) (su 5) (es 6) (tr 7))
  "a67X22a"
  "26Xb10X4d7a10XfX9f21a"
  "25Xb11X4d6a7X4df2X9f20a"
  "25X3b9X3dX7a7X4d12f19a"
  "25X3b10X2d2X6a2Xa2XdX8d9f18a"
  "26X2b13XdX5a5XdX9d9f17a"
  "27X3b11X2dX2a7X12d9f16a"
  "24X2b2X3b11X3d8X13d9f15a"
  "24Xa2b2X4b9X2d2Xd2X2dX14d10f14a"
  "24X3a2X5b5X28d10f13a"
  "24X3a2X6b3X30d10f12a"
  "25Xa5X4b2X32d10f11a"
  "30X2b4X33d11f10a"
  "33XdX35d11f9a"
  "31X42d9f8a"
  "c32X11d3a26dX9f7a"
  "c34X9d3a4e18dXd3X8fXf6a"
  "2c33X9d7eX15d3X2dfX9fXf5a"
  "3c33X9d6e2X14d4Xf3X9fXf4a"
  "4c26X8g8d3X3e3X12d10X8fXf3a"
  "5c25X12g6Xd2X3e3X9dh12X7fXf2a"
  "6c25X2a9g7Xe2X4e2X7d3h3X4h5X7fXfa"
  "7c24X2a8g8X2e3X4eX5d2XhX17h3bXf"
  "a6c24X2a7g3Xg6Xe5Xe3X3d5X18h4b"
  "2a5c11Xa13X2a6g17Xe4X3d2XhX17h4b"
  "3a4c10Xa15Xa6g17Xe4X2d2XeX19h3b"
  "4a3c28Xb9X5a3e2X3e6Xd5XhXhX2h2Xh3a5h3b"
  "5a2c35X8a3e3X2e8X2dXe8X5a7b"
  "6ac29X3g12a2e22X2b2X3a8b"
  "7a28X16a3e4Xb20X2a9b"
  "8a27X17a3e9X3e12X11b"
  "9a26X17a6e6X5e5X2b3X11b"
  "10a19Xg4X19a8e3X6e20b"
  "11a24X18a18e11b5X3b"
  "12a23X19a17e8bXb8Xb"
  "13a18Xg3X19a18e8b10X"
  "14a16Xg3X21a17e9b9X"
  "15a18X22a18e9b8X"
  "16a17X23a17e10b7X"
  "17a16X23a18e9b7X"
  "18a15X24a17e10b6X"
  "19a14X24a18e10b5X"
  "20a13X25a17e11b4X"
  "21a13X24a18e11b3X"
  "22a68X"
))

;; Sides not participating.

(side fr (active false))
(side jp (active false))
(side zh (active false))
(side es (active false))
(side tr (active false))

;; Allies.

(side uk (trusts (us 1) (su 1)))
(side us (trusts (us 1) (su 1)))
(side su (trusts (uk 1) (us 1)))

;; Axis.

(side de (trusts (it 1)))
(side it (trusts (de 1)))

(scorekeeper (do last-side-wins))

;; (set up agreements applying to particular dates)

(set initial-date "Jan 1942")

(infantry 37 32 de)
(infantry 37 33 de)
(infantry 31 30 de)
(infantry 72 29 de)
(infantry 71 29 de)
(infantry 71 27 de)
(infantry 68 32 de)
(infantry 67 34 de)
(infantry 65 36 de)
(infantry 64 38 de)
(infantry 62 40 de)
(infantry 61 40 de)
(armor 60 40 de)
(armor 63 39 de)
(armor 70 27 de)
(armor 72 30 de)
(armor 70 30 de)
(armor 69 31 de)
(armor 68 33 de)
(armor 66 35 de)
(armor 65 37 de)
(infantry 59 40 de)
(infantry 58 41 de)
(infantry 57 42 de)

(infantry 65 39 su)
(infantry 60 41 su)
(infantry 74 30 su)
(infantry 73 31 su)
(infantry 68 35 su)
(infantry 67 36 su)
(infantry 67 37 su)
(infantry 66 38 su)
(infantry 74 29 su)
(infantry 72 27 su)
(infantry 62 41 su)
(infantry 72 31 su)
(infantry 70 31 su)
(infantry 70 32 su)
(infantry 68 34 su)
(infantry 66 37 su)
(infantry 65 38 su)
(infantry 63 40 su)
(infantry 61 41 su)
(infantry 59 41 su)
(armor 64 39 su)
(armor 71 31 su)
(armor 69 33 su)
(armor 66 36 su)


(town 36 13 0 (n "Marrakech"))
(base 79 14 0 (n "Haifa"))
(town 80 14 0 (n "Jerusalem"))
(base 79 18 0 (n "Aleppo"))
(town 76 19 0 (n "Adana"))
(town 87 20 0 (n "Tabriz"))
(town 32 20 0 (n "Lisbon"))
(town 26 35 0 (n "Dublin"))
(town 35 15 0 (n "Casablanca"))
(town 42 17 0 (n "Oran"))
(town 31 23 0 (n "Porto"))
(town 45 18 0 (n "Algiers"))

(base 34 33 uk (n "Dover"))
(base 35 18 uk (n "Gibraltar"))
(base 58 15 uk (n "Malta"))
(base 26 43 uk (n "Scapa Flow"))
(base 34 34 uk (n "Southend"))
(base 77 12 uk (n "Port Said"))
(base 78 11 uk (n "Suez"))
(town 74 13 uk (n "Alexandria"))
(town 80 6 uk (n "Aswan"))
(town 78 8 uk (n "Asyut"))
(town 25 37 uk (n "Belfast"))
(town 31 34 uk (n "Bristol"))
(town 76 10 uk (n "Cairo"))
(town 30 34 uk (n "Cardiff"))
(town 28 38 uk (n "Edinburgh"))
(town 31 36 uk (n "Hull"))
(town 30 37 uk (n "Newcastle"))
(city 30 35 uk (n "Birmingham"))
(city 27 38 uk (n "Glasgow"))
(city 29 36 uk (n "Manchester"))
(capital 33 34 uk (n "London"))

(city 2 26 us (n "Boston"))
(city 6 19 us (n "Houston"))
(city 6 21 us (n "New Orleans"))
(city 3 25 us (n "New York"))
(city 1 25 us (n "Chicago"))
(city 4 24 us (n "Philadelphia"))
(city 3 24 us (n "Pittsburgh"))
(city 2 24 us (n "Detroit"))
(city 2 22 us (n "St. Louis"))
(capital 5 23 us (n "Washington"))

(town 64 20 de (n "Athens"))
(town 58 26 de (n "Belgrade"))
(town 36 27 de (n "Bordeaux"))
(town 38 32 de (n "Brussels"))
(town 64 26 de (n "Bucharest"))
(town 55 29 de (n "Budapest"))
(town 54 32 de (n "Cracow"))
(town 51 35 de (n "Danzig"))
(town 69 30 de (n "Dnepropetrovsk"))
(town 42 33 de (n "Dortmund"))
(town 41 33 de (n "Essen"))
(town 44 32 de (n "Frankfurt"))
(town 53 36 de (n "Konigsberg"))
(town 58 32 de (n "L'vov"))
(town 36 32 de (n "Le Havre"))
(town 47 32 de (n "Leipzig"))
(town 41 27 de (n "Lyon"))
(town 43 25 de (n "Marseilles"))
(town 60 35 de (n "Minsk"))
(town 47 30 de (n "Munich"))
(town 34 29 de (n "Nantes"))
(town 45 25 de (n "Nice"))
(town 67 28 de (n "Odessa"))
(town 40 42 de (n "Oslo"))
(town 49 31 de (n "Prague"))
(town 55 38 de (n "Riga"))
(town 62 24 de (n "Sofia"))
(town 45 30 de (n "Stuttgart"))
(town 63 22 de (n "Thessaloniki"))
(town 39 25 de (n "Toulouse"))
(town 52 30 de (n "Vienna"))
(town 58 36 de (n "Vilnius"))
(town 55 34 de (n "Warsaw"))
(town 53 27 de (n "Zagreb"))
(city 44 37 de (n "Copenhagen"))
(city 42 35 de (n "Hamburg"))
(city 65 32 de (n "Kiev"))
(city 38 34 de (n "Rotterdam"))
(capital 47 34 de (n "Berlin"))
(capital 37 30 de (n "Paris"))

(town 64 13 it (n "Benghazi"))
(town 46 26 it (n "Genoa"))
(town 55 18 it (n "Palermo"))
(town 44 27 it (n "Torino"))
(town 60 12 it (n "Tripoli"))
(town 52 18 it (n "Tunis"))
(city 47 27 it (n "Milan"))
(capital 52 23 it (n "Rome"))

(town 81 28 su (n "Astrakhan"))
(town 86 23 su (n "Baku"))
(town 80 23 su (n "Batum"))
(town 67 35 su (n "Br'ansk"))
(town 68 39 su (n "Jaroslavi"))
(town 73 37 su (n "Kazanh"))
(town 69 32 su (n "Kharkov"))
(town 75 27 su (n "Maikop"))
(town 71 26 su (n "Sevastopol"))
(town 77 31 su (n "Stalingrad"))
(town 71 30 su (n "Stalino"))
(town 83 23 su (n "Tbilisi"))
(city 71 38 su (n "Gorky"))
(city 75 35 su (n "Kuybyshev"))
(city 58 42 su (n "Leningrad"))
(city 73 30 su (n "Rostov"))
(capital 67 38 su (n "Moscow"))

(base 35 20 es (n "Cordoba"))
(base 30 8 es (n "Las Palmas"))
(base 36 16 es (n "Tangiers"))
(town 41 23 es (n "Barcelona"))
(town 35 25 es (n "Bilbao"))
(town 39 21 es (n "Valencia"))
(town 38 23 es (n "Zaragoza"))
(capital 36 22 es (n "Madrid"))

(town 72 21 tr (n "Ankara"))
(town 81 21 tr (n "Erzurum"))
(town 68 20 tr (n "Izmir"))
(town 84 21 tr (n "Jerevan"))
(city 67 23 tr (n "Istanbul"))

;(town 88 3 0  (n "Mecca")) ; a distraction to Egyptian forces

